:root {
    --orange: hsl(26, 100%, 55%);
    --paleOrange: hsl(25, 100%, 94%);
    --greyishBLue: hsl(220, 14%, 75%);
    --lightGreyishBlue: hsl(223, 64%, 98%);
    --darkGreyishBlue: hsl(219, 9%, 45%);
    --white: hsl(0, 0%, 100%);
    --veryDarkBlue: hsl(220, 13%, 13%);
}

@font-face {
    font-family: KumbhSans;
    src: url(./fonts/fonts/ttf/KumbhSans-Regular.ttf);
}

* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
}

body {
    display: grid;
    place-items: center;
    font-family: 'Kumbh Sans', sans-serif;
}

header,
.header-left,
#header-right,
#nav,
.basket-item,
.product,
.product-thumbnails,
.final,
.buttons,
.quantities,
#addToCart {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

header {
    width: clamp(250px, 950px, 87%);
    height: 96px;
    border-bottom: 1.5px solid var(--greyishBLue);
}

#menu {
    display: none;
}

.header-left {
    gap: 47px;
}

.logo {
    width: 120px;
}

#nav {
    font-size: 12.86px;
    width: 338px;
}

#close-menu {
    display: none;
}

#nav a {
    color: var(--veryDarkBlue);
}

#header-right {
    width: 102px;
}

#cart {
    width: 18px;
}

#cart-count {
    display: none;
    position: relative;
    top: -21px;
    right: -5px;
    border-radius: 5.5px;
    color: white;
    background: var(--orange);
    font-size: 7px;
    text-align: center;
}

.profile {
    width: 44px;
    border-radius: 50%;
}

.profile:hover {
    border: 2px solid var(--orange);
}

#basket {
    z-index: 1;
    position: absolute;
    top: 80px;
    right: 145px;
    width: 307px;
    height: 219px;
    background: white;
    box-shadow: 0px 20px 20px #c3c3c3;
    display: none;
    border-radius: 8px;
    font-weight: bold;
}

#basket h2 {
    padding: 20px 20px 21px;
    border-bottom: 1.75px solid #efeef2;
    font-size: 12.5px;
}

#basket-details {
    height: 162px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#empty {
    text-align: center;
    font-size: 11.5px;
    color: var(--darkGreyishBlue);
}

#notEmpty {
    height: 100%;
    padding: 21.5px 20px 28.5px;
    display: none;
    flex-direction: column;
    justify-content: space-between;
}

.basket-item {
    align-items: flex-start;
}

.basket-image {
    object-fit: cover;
}

.basket-text {
    color: #7a7b80;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 39px;
}

.basket-text p {
    font-size: 12.5px;
    font-weight: normal;
}

.basket-text p strong {
    color: black;
}

.basket-delete {
    padding: 15px 0 0 0;
    width: 12px;
}

.basket-checkout {
    height: 47px;
    border: none;
    background: #ff7d1b;
    color: white;
    font-weight: bold;
    font-size: 13.75px;
    border-radius: 9px;
}

.basket-checkout:hover {
    background: #ffac6a;
}

.product {
    margin-top: 76px;
    width: clamp(250px, 865px, 100%);
    padding: 0 15px;
}

#product-image,
.product-thumbnails {
    width: clamp(250px, 380px, 100vw);
}

#product-image {
    border-radius: 13px;
}

.product-thumbnails {
    margin-top: 21px;
}

.product-thumbnails img {
    width: 76px;
    height: 78px;
    border-radius: 9px;
}

.selected-thumbnail {
    border: 2px var(--orange) solid;
    opacity: .5;
}

.product-texts {
    display: flex;
    flex-direction: column;
    height: 378px;
    width: clamp(250px, 380px, 100vw);
    font-size: 10px;
}

h3 {
    font-size: 12px;
    letter-spacing: 1px;
    word-spacing: 1px;
    color: var(--orange)
}

.product-texts h2 {
    margin-top: 16px;
    font-size: 34px;
    line-height: 41px;
    color: var(--veryDarkBlue);
}

p {
    font-size: 13px;
}

.desc {
    margin-top: 32px;
    line-height: 21px;
    color: var(--darkGreyishBlue);
}

.price {
    margin-top: 21px;
    display: flex;
    flex-direction: column;
}

.final {
    width: 150px;
}

.final-price {
    font-size: 20px;
    color: var(--veryDarkBlue);
}

.discount {
    background-color: var(--paleOrange);
    width: 44px;
    height: 29px;
    text-align: center;
    color: var(--orange);
    display: grid;
    place-items: center;
    font-size: 77%;
    border-radius: 7px;
}

.original-price {
    margin-top: 9.5px;
    width: 54px;
    height: 15px;
    font-size: 100%;
    text-decoration: line-through;
    color: var(--greyishBLue);
}

.buttons {
    margin-top: 34px;
    height: 47px;
    max-width: 100vw;
}

.quantities,
#addToCart {
    height: 100%;
    border-radius: 10px;
}

.quantities {
    background: var(--lightGreyishBlue);
    width: 134px;
    padding: 0 12.5px;
}

.quantities img {
    width: 9px;
    height: 100%;
    object-fit: contain;
}

.quantities img:hover {
    opacity: .6;
}

#quantity {
    font-size: 150%;
}

#addToCart {
    border: none;
    width: 232px;
    background: var(--orange);
    color: var(--white);
    padding: 0 65px;
    font-size: 137%;
    box-shadow: 5px 30px 20px var(--paleOrange);
}

#addToCart:hover {
    background: #ffac6a;
}

.cart-icon-white {
    width: 16px;
}

.credit {
    margin: 100px 0px 20px;
    padding: 0 15px;
    width: 100%;
    text-align: center;
}

/* product */
@media only screen and (max-width: 820px) {
    .product {
        flex-direction: column;
        justify-content: center;
    }
}

/* basket */
@media only screen and (max-width: 606px) {
    #basket {
        top: 76px;
        right: 7px;
    }
}

/* header */
@media only screen and (max-width: 760px) {
    header {
        height: 67.497px;
        border: none;
        align-items: flex-start;
        padding-top: 20px;
    }

    .header-left {
        gap: 16px
    }

    #menu {
        display: grid;
        position: relative;
        top: 1px;
        background: linear-gradient(#6d7075 0%, #6d7075 20%,
                white 20%, white 40%,
                #6d7075 40%, #6d7075 60%,
                white 60%, white 80%,
                #6d7075 80%, #6d7075 100%);
        height: 15px;
        width: 16px;
    }

    .logo {
        width: 138px;
        height: auto;
    }

    #nav {
        z-index: 1;
        height: 100vh;
        width: 100vw;
        background: linear-gradient(90deg,
                white 0px, white 250px,
                rgba(0, 0, 0, .75) 100px, rgba(0, 0, 0, .75) 100%);
        position: fixed;
        top: 0;
        left: -100vw;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        padding: 24px 25px;
    }

    #close-menu {
        display: block;
        margin-bottom: 42px;
    }

    #nav a {
        font-size: 15.2px;
        font-weight: bold;
        line-height: 45.8px;
    }

    #header-right {
        width: 68px;
    }

    #cart {
        width: 22px;
        position: relative;
        top: 2px;
    }

    .profile {
        width: 24px;
        position: relative;
        top: -2px;
    }

    .cart-not-empty #cart-count {
        position: relative;
        right: -9px;
        top: -29px;
        height: 13px;
        width: 19px;
        border-radius: 50px;
        display: flex;
        align-items: center;
        font-size: 9px;
    }

    .cart-not-empty .profile {
        position: relative;
        top: -8px;
    }

    #notEmpty {
        padding: 24px 24px 32px;
    }

    .basket-image {
        height: 50px;
        width: 50px;
    }

    .basket-text {
        height: 47px;
    }

    .basket-text p {
        font-size: 15.25px;
    }

    .basket-delete {
        padding: 18px 0 0 0;
        width: 14px;
    }

    .basket-checkout {
        height: 56px;
        font-size: 16.25px;
    }
}

/* padding */

@media only screen and (max-width: 410px) {
    .product {
        padding: 0;
    }
}

@media only screen and (max-width: 375px) {
    #basket {
        width: clamp(250px, 360px, 99vw);
        height: 256px;
        border-radius: 10px;
        box-shadow: 0px 10px 20px gray;
    }

    #basket h2 {
        padding: 26px 24px 24px;
        border-bottom: 1.75px solid #efeef2;
        font-size: 13.75px;
    }

    #basket-details {
        height: 188px;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    #empty {
        font-size: 13.5px;
    }

    .product {
        margin-top: 0;
        padding: 0;
    }

    #previous-image,
    #next-image {
        height: 40px;
        width: 40px;
        border-radius: 50%;
        background: white;
        position: absolute;
        top: 198px;
        padding: 13px 15px;
    }

    #previous-image {
        left: 16px;
    }

    #next-image {
        right: 16px;
    }

    #product-image {
        border-radius: 0;
        object-fit: cover;
        height: 300px;
    }

    .product-thumbnails {
        display: none;
    }

    .product-texts {
        padding: 18px 25px 0 25px;
    }

    .product-texts h2 {
        margin-top: 13px;
        font-size: 23.2px;
        line-height: 31.5px;
    }

    .desc {
        margin-top: 21px;
        font-size: 13.5px;
        line-height: 24px;
    }

    .price {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-top: 29px;
        flex-direction: row;
    }

    .final {
        width: 172px;
    }

    .final-price {
        font-size: 23px;
    }

    .discount {
        width: 51px;
    }

    .original-price {
        width: fit-content;
        font-size: 13.75px;
    }

    .buttons {
        height: 96px;
        margin-top: 26px;
        gap: 16px;
    }

    #decrease,
    #increase {
        width: 12px;
    }

    .quantities,
    #addToCart {
        width: 100%;
        height: 56px;
    }

    .quantities {
        padding: 0 23px;
    }

    #addToCart {
        padding: 0 103px;
        font-size: 16px;
    }

    .cart-icon-white {
        font-size: 17.5px;
    }

}